## lua-dbi 0.5.hg5ba1dd988961

=== Makefile ===
CC=gcc
CFLAGS=-g -pedantic -Wall -O2 -shared -fpic -I /usr/include/lua5.1 -I /usr/include/mysql -I /usr/include/postgresql/ -I /opt/ibm/db2exc/V9.5/include/ -I /usr/lib/oracle/xe/app/oracle/product/10.2.0/client/rdbms/public/ -I .
AR=ar rcu
RANLIB=ranlib
RM=rm -rf
MKDIR=mkdir -p

COMMON_LDFLAGS=
MYSQL_LDFLAGS=$(COMMON_LDFLAGS) -lmysqlclient
PSQL_LDFLAGS=$(COMMON_LDFLAGS) -lpq 
SQLITE3_LDFLAGS=$(COMMON_LDFLAGS) -lsqlite3 
DB2_LDFLAGS=$(COMMON_LDFLAGS) -L/opt/ibm/db2exc/V9.5/lib64 -L/opt/ibm/db2exc/V9.5/lib32 -ldb2 
ORACLE_LDFLAGS=$(COMMON_LDFLAGS) -L/usr/lib/oracle/xe/app/oracle/product/10.2.0/client/lib/ -locixe 

BUILDDIR=build

DBDMYSQL=dbdmysql.so
DBDPSQL=dbdpostgresql.so
DBDSQLITE3=dbdsqlite3.so
DBDDB2=dbddb2.so
DBDORACLE=dbdoracle.so

OBJS=build/dbd_common.o
MYSQL_OBJS=$(OBJS) build/dbd_mysql_main.o build/dbd_mysql_connection.o build/dbd_mysql_statement.o
PSQL_OBJS=$(OBJS) build/dbd_postgresql_main.o build/dbd_postgresql_connection.o build/dbd_postgresql_statement.o
SQLITE3_OBJS=$(OBJS) build/dbd_sqlite3_main.o build/dbd_sqlite3_connection.o build/dbd_sqlite3_statement.o
DB2_OBJS=$(OBJS) build/dbd_db2_main.o build/dbd_db2_connection.o build/dbd_db2_statement.o
ORACLE_OBJS=$(OBJS) build/dbd_oracle_main.o build/dbd_oracle_connection.o build/dbd_oracle_statement.o

free: mysql psql sqlite3

all:  mysql psql sqlite3 db2 oracle

mysql: $(BUILDDIR) $(MYSQL_OBJS)
	$(CC) $(CFLAGS) $(MYSQL_OBJS) -o $(DBDMYSQL) $(MYSQL_LDFLAGS)

psql: $(BUILDDIR) $(PSQL_OBJS)
	$(CC) $(CFLAGS) $(PSQL_OBJS) -o $(DBDPSQL) $(PSQL_LDFLAGS)

sqlite3: $(BUILDDIR) $(SQLITE3_OBJS)
	$(CC) $(CFLAGS) $(SQLITE3_OBJS) -o $(DBDSQLITE3) $(SQLITE3_LDFLAGS)

db2: $(BUILDDIR) $(DB2_OBJS)
	$(CC) $(CFLAGS) $(DB2_OBJS) -o $(DBDDB2) $(DB2_LDFLAGS)

oracle: $(BUILDDIR) $(ORACLE_OBJS)
	$(CC) $(CFLAGS) $(ORACLE_OBJS) -o $(DBDORACLE) $(ORACLE_LDFLAGS)

clean:
	$(RM) $(BUILDDIR) $(MYSQL_OBJS) $(PSQL_OBJS) $(SQLITE3_OBJS) $(DB2_OBJS) $(ORACLE_OBJS) $(DBDMYSQL) $(DBDPSQL) $(DBDSQLITE3) $(DBDDB2) $(DBDORACLE) 

build/dbd_common.o: dbd/common.c dbd/common.h
	$(CC) -c -o $@ $< $(CFLAGS)

build/dbd_mysql_connection.o: dbd/mysql/connection.c dbd/mysql/dbd_mysql.h dbd/common.h 
	$(CC) -c -o $@ $< $(CFLAGS)
build/dbd_mysql_main.o: dbd/mysql/main.c dbd/mysql/dbd_mysql.h dbd/common.h
	$(CC) -c -o $@ $< $(CFLAGS)
build/dbd_mysql_statement.o: dbd/mysql/statement.c dbd/mysql/dbd_mysql.h dbd/common.h
	$(CC) -c -o $@ $< $(CFLAGS)

build/dbd_postgresql_connection.o: dbd/postgresql/connection.c dbd/postgresql/dbd_postgresql.h dbd/common.h
	$(CC) -c -o $@ $< $(CFLAGS)
build/dbd_postgresql_main.o: dbd/postgresql/main.c dbd/postgresql/dbd_postgresql.h dbd/common.h
	$(CC) -c -o $@ $< $(CFLAGS)
build/dbd_postgresql_statement.o: dbd/postgresql/statement.c dbd/postgresql/dbd_postgresql.h dbd/common.h
	$(CC) -c -o $@ $< $(CFLAGS)

build/dbd_sqlite3_connection.o: dbd/sqlite3/connection.c dbd/sqlite3/dbd_sqlite3.h dbd/common.h 
	$(CC) -c -o $@ $< $(CFLAGS)
build/dbd_sqlite3_main.o: dbd/sqlite3/main.c dbd/sqlite3/dbd_sqlite3.h dbd/common.h
	$(CC) -c -o $@ $< $(CFLAGS)
build/dbd_sqlite3_statement.o: dbd/sqlite3/statement.c dbd/sqlite3/dbd_sqlite3.h dbd/common.h
	$(CC) -c -o $@ $< $(CFLAGS)

build/dbd_db2_connection.o: dbd/db2/connection.c dbd/db2/dbd_db2.h dbd/common.h 
	$(CC) -c -o $@ $< $(CFLAGS)
build/dbd_db2_main.o: dbd/db2/main.c dbd/db2/dbd_db2.h dbd/common.h
	$(CC) -c -o $@ $< $(CFLAGS)
build/dbd_db2_statement.o: dbd/db2/statement.c dbd/db2/dbd_db2.h dbd/common.h
	$(CC) -c -o $@ $< $(CFLAGS)

build/dbd_oracle_connection.o: dbd/oracle/connection.c dbd/oracle/dbd_oracle.h dbd/common.h 
	$(CC) -c -o $@ $< $(CFLAGS)
build/dbd_oracle_main.o: dbd/oracle/main.c dbd/oracle/dbd_oracle.h dbd/common.h
	$(CC) -c -o $@ $< $(CFLAGS)
build/dbd_oracle_statement.o: dbd/oracle/statement.c dbd/oracle/dbd_oracle.h dbd/common.h
	$(CC) -c -o $@ $< $(CFLAGS)

build:
	$(MKDIR) ${BUILDDIR}

## lua-dbi 0.5+svn78

=== debian/changelog ===
lua-dbi (0.5+svn78-4) unstable; urgency=low

  * Add patch preventing an off by one in mysql driver:
      http://code.matthewwild.co.uk/luadbi/rev/5ba1dd988961 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 29 Jun 2012 19:00:58 +0200

lua-dbi (0.5+svn78-3) unstable; urgency=low

  * Add path: mysql-memory-consumption from
      http://code.matthewwild.co.uk/luadbi/rev/7c968f66bccd 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 30 Apr 2012 16:22:07 +0200

lua-dbi (0.5+svn78-2) unstable; urgency=low

  * Ship -dev packages

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 09 Apr 2012 15:04:16 +0200

lua-dbi (0.5+svn78-1) unstable; urgency=low

  * Initial release. (Closes: #668173)

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 09 Apr 2012 14:50:23 +0200

=== debian/control ===
Source: lua-dbi
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: dh-lua, debhelper (>= 8.0.0), libsqlite3-dev, libpq-dev, libmysqlclient-dev
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/luadbi/
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-dbi
Vcs-Browser: http://svn.debian.org/vewsvn/pkg-lua/packages/lua-dbi

Package: lua-dbi-common
Architecture: all
Multi-Arch: foreign
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, common files
 Lua DBI is a database interface library for Lua. It is designed to provide a
 RDBMS agnostic API for handling database operations. LuaDBI also provides
 support for prepared statement handles, placeholders and bind parameters for
 all database operations.
 .
 This package contains the files common to all backends.
 .
 Lua DBI is a better alternative to lua-sql since it supports prepared
 statements.

Package: lua-dbi-sqlite3
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-common
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, sqlite3 backend
 Lua DBI is a database interface library for Lua. It is designed to provide a
 RDBMS agnostic API for handling database operations. LuaDBI also provides
 support for prepared statement handles, placeholders and bind parameters for
 all database operations.
 .
 This package contains the sqlite3 backend.
 .
 Lua DBI is a better alternative to lua-sql since it supports prepared
 statements.

Package: lua-dbi-sqlite3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-sqlite3 (= ${binary:Version})
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, sqlite3 development files
 This package contains the development files of the lua DBI library
 (Sqlite3 backend), useful to create a statically linked binary 
 (like a C application or a standalone Lua interpreter).

Package: lua-dbi-mysql
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-common
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, MySQL backend
 Lua DBI is a database interface library for Lua. It is designed to provide a
 RDBMS agnostic API for handling database operations. LuaDBI also provides
 support for prepared statement handles, placeholders and bind parameters for
 all database operations.
 .
 This package contains the MySQL backend.
 .
 Lua DBI is a better alternative to lua-sql since it supports prepared
 statements.

Package: lua-dbi-mysql-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-mysql (= ${binary:Version})
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, MySQL development files
 This package contains the development files of the lua DBI library
 (MySQL backend), useful to create a statically linked binary 
 (like a C application or a standalone Lua interpreter).

Package: lua-dbi-postgresql
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-common
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, PostgreSQL backend
 Lua DBI is a database interface library for Lua. It is designed to provide a
 RDBMS agnostic API for handling database operations. LuaDBI also provides
 support for prepared statement handles, placeholders and bind parameters for
 all database operations.
 .
 This package contains the PostgreSQL backend.
 .
 Lua DBI is a better alternative to lua-sql since it supports prepared
 statements.

Package: lua-dbi-postgresql-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-postgresql (= ${binary:Version})
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, PostgreSQL development files
 This package contains the development files of the lua DBI library
 (PostgreSQL backend), useful to create a statically linked binary 
 (like a C application or a standalone Lua interpreter).

=== debian/rules ===
#!/usr/bin/make -f

%: 
	dh $@ --buildsystem=lua --with lua

override_dh_auto_install:
	dh_auto_install
	find debian/tmp -name \*.lua -exec chmod -x {} \;

## lua-dbi 0.5.hg5ba1dd988961

=== debian/changelog ===
lua-dbi (0.5.hg5ba1dd988961-3build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:44:22 +0000

lua-dbi (0.5.hg5ba1dd988961-3) unstable; urgency=medium

  * Do not pre-depend on multiarch-support 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 15 Aug 2015 15:56:07 +0200

lua-dbi (0.5.hg5ba1dd988961-2) unstable; urgency=low

  * Build-depend on postgresql-server-dev-all 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 18 Sep 2013 10:39:16 +0200

lua-dbi (0.5.hg5ba1dd988961-1) unstable; urgency=low

  * New upstream snapshot fixing mysql bug 
  * Packaging moved to git

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 10 Aug 2013 20:35:27 +0200

lua-dbi (0.5+svn78-5~dbg4matthew1) unstable; urgency=low

  * debian/compat set to 9
  * new package lua-dbi-mysql-dbg 
  * new package lua-dbi-sqlite3-dbg 
  * new package lua-dbi-postgresql-dbg 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 30 Jun 2012 11:22:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: dh-lua, debhelper (>= 8.0.0), libsqlite3-dev, libpq-dev, libmysqlclient-dev
+Build-Depends: dh-lua, debhelper (>= 9), libsqlite3-dev, postgresql-server-dev-all, libmysqlclient-dev
 Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/luadbi/
-Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-dbi
-Vcs-Browser: http://svn.debian.org/vewsvn/pkg-lua/packages/lua-dbi
+Vcs-Git: git://git.debian.org/git/pkg-lua/lua-dbi.git
+Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-dbi.git
 
 Package: lua-dbi-common
 Architecture: all
 Multi-Arch: foreign
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
@@ -29,7 +29,7 @@
 Package: lua-dbi-sqlite3
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-common
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
@@ -48,7 +48,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-sqlite3 (= ${binary:Version})
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
@@ -60,7 +60,7 @@
 Package: lua-dbi-mysql
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-common
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
@@ -78,7 +78,7 @@
 Package: lua-dbi-mysql-dev
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Section: libdevel
 Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-mysql (= ${binary:Version})
 Provides: ${lua:Provides}
@@ -91,7 +91,7 @@
 Package: lua-dbi-postgresql
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-common
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
@@ -109,7 +109,7 @@
 Package: lua-dbi-postgresql-dev
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Section: libdevel
 Depends: ${shlibs:Depends}, ${misc:Depends}, lua-dbi-postgresql (= ${binary:Version})
 Provides: ${lua:Provides}
@@ -118,3 +118,36 @@
  This package contains the development files of the lua DBI library
  (PostgreSQL backend), useful to create a statically linked binary 
  (like a C application or a standalone Lua interpreter).
+
+Package: lua-dbi-mysql-dbg
+Architecture: any
+Priority: extra
+Section: debug
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: lua-dbi-mysql (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+XB-Lua-Versions: ${lua:Versions}
+Description: DBI library for the Lua language, MySQL backend debug symbols
+ This package contains the debugging symbols for lua-dbi-mysql.
+
+Package: lua-dbi-postgresql-dbg
+Architecture: any
+Priority: extra
+Section: debug
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: lua-dbi-postgresql (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+XB-Lua-Versions: ${lua:Versions}
+Description: DBI library for the Lua language, PostgreSQL backend debug symbols
+ This package contains the debugging symbols for lua-dbi-postgresql.
+
+Package: lua-dbi-sqlite3-dbg
+Architecture: any
+Priority: extra
+Section: debug
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: lua-dbi-sqlite3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+XB-Lua-Versions: ${lua:Versions}
+Description: DBI library for the Lua language, sqlite3 backend debug symbols
+ This package contains the debugging symbols for lua-dbi-sqlite3.

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,8 @@
 override_dh_auto_install:
 	dh_auto_install
 	find debian/tmp -name \*.lua -exec chmod -x {} \; 
+
+override_dh_strip:
+	dh_strip -Xdbi-sqlite3 -Xdbi-postgresql --dbg-package=lua-dbi-mysql-dbg
+	dh_strip -Xdbi-sqlite3 --dbg-package=lua-dbi-postgresql-dbg
+	dh_strip --dbg-package=lua-dbi-sqlite3-dbg

## lua-dbi 0.6

=== debian/changelog ===
lua-dbi (0.6-2) unstable; urgency=medium

  * fix coredump on postgresql (already applied upstream master)
  * fix capitalization-error-in-description lintian warnings

 -- Victor Seva <vseva@debian.org>  Tue, 06 Mar 2018 18:07:18 +0100

lua-dbi (0.6-1) unstable; urgency=medium

  * add myself to Uploaders. wrap-and-sort -sat
  * update Vcs-* migrated to salsa
  * update upstream
  * New upstream version 0.6
  * update compat to 10, Standards-Version to 4.1.3 and remove dbg packages
  * add support for lua5.2 and lua5.3
  * remove remove-shebang.patch (already applied upstream)
  * add patches fixing warnings (already applied in upstream master)
  * update LUA_MODNAME(_CPART)

 -- Victor Seva <vseva@debian.org>  Mon, 05 Mar 2018 17:25:16 +0100

lua-dbi (0.5.hg5ba1dd988961-4) unstable; urgency=medium

  * Team upload
  * Replace Build-Depends: libmysqlclient-dev by default-libmysqlclient-dev
    (Closes: #845871)

 -- Mathieu Parent <sathieu@debian.org>  Fri, 16 Dec 2016 04:46:14 +0100

## lua-dbi 0.7.1

=== Makefile ===
CC		?= cc
AR		?= ar rcu
RANLIB		?= ranlib
RM		?= rm -rf
MKDIR		?= mkdir -p
INSTALL		?= install
INSTALL_PROGRAM	?= $(INSTALL)
INSTALL_DATA	?= $(INSTALL) -m 644
LUA_V		?= 5.1
LUA_LDIR	?= /usr/share/lua/$(LUA_V)
LUA_CDIR	?= /usr/lib/lua/$(LUA_V)

COMMON_CFLAGS	 ?= -g -pedantic -Wall -O2 -shared -fPIC -DPIC -std=c99
LUA_INC		?= -I/usr/include/lua$(LUA_V)
MYSQL_INC	?= -I/usr/include/mysql
PSQL_INC	?= -I/usr/include/postgresql
SQLITE3_INC	?= -I/usr/include
DB2_INC		?= -I/opt/ibm/db2exc/V9.5/include
ORACLE_INC	?= -I/usr/lib/oracle/xe/app/oracle/product/10.2.0/client/rdbms/public
CF		 = $(LUA_INC) $(COMMON_CFLAGS) $(CFLAGS) -I.

COMMON_LDFLAGS	 ?= -shared
MYSQL_LDFLAGS	?= -lmysqlclient
PSQL_LDFLAGS	?= -lpq
SQLITE3_LDFLAGS	?= -lsqlite3
DB2_LDFLAGS	?= -L/opt/ibm/db2exc/V9.5/lib64 -L/opt/ibm/db2exc/V9.5/lib32 -ldb2
ORACLE_LDFLAGS	?= -L/usr/lib/oracle/xe/app/oracle/product/10.2.0/client/lib/ -locixe
LF		 = $(COMMON_LDFLAGS) $(LDFLAGS)

MYSQL_FLAGS	 = $(CF) $(LF) $(MYSQL_INC) $(MYSQL_LDFLAGS)
PSQL_FLAGS	 = $(CF) $(LF) $(PSQL_INC) $(PSQL_LDFLAGS)
SQLITE3_FLAGS	 = $(CF) $(LF) $(SQLITE3_INC) $(SQLITE3_LDFLAGS)
DB2_FLAGS	 = $(CF) $(LF) $(DB2_INC) $(DB2_LDFLAGS)
ORACLE_FLAGS	 = $(CF) $(LF) $(ORACLE_INC) $(ORACLE_LDFLAGS)


BUILDDIR	 = build

DBDMYSQL	 = dbd/mysql.so
DBDPSQL		 = dbd/postgresql.so
DBDSQLITE3	 = dbd/sqlite3.so
DBDDB2		 = dbd/db2.so
DBDORACLE	 = dbd/oracle.so

OBJS		 = build/dbd_common.o
MYSQL_OBJS	 = $(OBJS) build/dbd_mysql_main.o build/dbd_mysql_connection.o build/dbd_mysql_statement.o
PSQL_OBJS	 = $(OBJS) build/dbd_postgresql_main.o build/dbd_postgresql_connection.o build/dbd_postgresql_statement.o
SQLITE3_OBJS	 = $(OBJS) build/dbd_sqlite3_main.o build/dbd_sqlite3_connection.o build/dbd_sqlite3_statement.o
DB2_OBJS	 = $(OBJS) build/dbd_db2_main.o build/dbd_db2_connection.o build/dbd_db2_statement.o
ORACLE_OBJS	 = $(OBJS) build/dbd_oracle_main.o build/dbd_oracle_connection.o build/dbd_oracle_statement.o
 
free: mysql psql sqlite3

all:  mysql psql sqlite3 db2 oracle

mysql: $(BUILDDIR) $(MYSQL_OBJS)
	$(CC) $(MYSQL_OBJS) -o $(DBDMYSQL) $(MYSQL_FLAGS)

psql: $(BUILDDIR) $(PSQL_OBJS)
	$(CC) $(PSQL_OBJS) -o $(DBDPSQL) $(PSQL_FLAGS)

sqlite3: $(BUILDDIR) $(SQLITE3_OBJS)
	$(CC) $(SQLITE3_OBJS) -o $(DBDSQLITE3) $(SQLITE3_FLAGS)

db2: $(BUILDDIR) $(DB2_OBJS)
	$(CC) $(DB2_OBJS) -o $(DBDDB2) $(DB2_FLAGS)

oracle: $(BUILDDIR) $(ORACLE_OBJS)
	$(CC) $(ORACLE_OBJS) -o $(DBDORACLE) $(ORACLE_FLAGS)

clean:
	$(RM) $(MYSQL_OBJS) $(PSQL_OBJS) $(SQLITE3_OBJS) $(DB2_OBJS) $(ORACLE_OBJS) $(DBDMYSQL) $(DBDPSQL) $(DBDSQLITE3) $(DBDDB2) $(DBDORACLE)

build/dbd_common.o: dbd/common.c dbd/common.h
	$(CC) -c -o $@ $< $(CF)

build/dbd_mysql_connection.o: dbd/mysql/connection.c dbd/mysql/dbd_mysql.h dbd/common.h
	$(CC) -c -o $@ $< $(MYSQL_FLAGS)
build/dbd_mysql_main.o: dbd/mysql/main.c dbd/mysql/dbd_mysql.h dbd/common.h
	$(CC) -c -o $@ $< $(MYSQL_FLAGS)
build/dbd_mysql_statement.o: dbd/mysql/statement.c dbd/mysql/dbd_mysql.h dbd/common.h
	$(CC) -c -o $@ $< $(MYSQL_FLAGS)

build/dbd_postgresql_connection.o: dbd/postgresql/connection.c dbd/postgresql/dbd_postgresql.h dbd/common.h
	$(CC) -c -o $@ $< $(PSQL_FLAGS)
build/dbd_postgresql_main.o: dbd/postgresql/main.c dbd/postgresql/dbd_postgresql.h dbd/common.h
	$(CC) -c -o $@ $< $(PSQL_FLAGS)
build/dbd_postgresql_statement.o: dbd/postgresql/statement.c dbd/postgresql/dbd_postgresql.h dbd/common.h
	$(CC) -c -o $@ $< $(PSQL_FLAGS)

build/dbd_sqlite3_connection.o: dbd/sqlite3/connection.c dbd/sqlite3/dbd_sqlite3.h dbd/common.h 
	$(CC) -c -o $@ $< $(SQLITE3_FLAGS)
build/dbd_sqlite3_main.o: dbd/sqlite3/main.c dbd/sqlite3/dbd_sqlite3.h dbd/common.h
	$(CC) -c -o $@ $< $(SQLITE3_FLAGS)
build/dbd_sqlite3_statement.o: dbd/sqlite3/statement.c dbd/sqlite3/dbd_sqlite3.h dbd/common.h
	$(CC) -c -o $@ $< $(SQLITE3_FLAGS)

build/dbd_db2_connection.o: dbd/db2/connection.c dbd/db2/dbd_db2.h dbd/common.h 
	$(CC) -c -o $@ $< $(DB2_FLAGS)
build/dbd_db2_main.o: dbd/db2/main.c dbd/db2/dbd_db2.h dbd/common.h
	$(CC) -c -o $@ $< $(DB2_FLAGS)
build/dbd_db2_statement.o: dbd/db2/statement.c dbd/db2/dbd_db2.h dbd/common.h
	$(CC) -c -o $@ $< $(DB2_FLAGS)

build/dbd_oracle_connection.o: dbd/oracle/connection.c dbd/oracle/dbd_oracle.h dbd/common.h 
	$(CC) -c -o $@ $< $(ORACLE_FLAGS)
build/dbd_oracle_main.o: dbd/oracle/main.c dbd/oracle/dbd_oracle.h dbd/common.h
	$(CC) -c -o $@ $< $(ORACLE_FLAGS)
build/dbd_oracle_statement.o: dbd/oracle/statement.c dbd/oracle/dbd_oracle.h dbd/common.h
	$(CC) -c -o $@ $< $(ORACLE_FLAGS)

build:
	$(MKDIR) ${BUILDDIR}

install_lua:
	$(INSTALL_DATA) -D DBI.lua $(DESTDIR)$(LUA_LDIR)/DBI.lua

install_mysql: mysql install_lua
	$(INSTALL_PROGRAM) -D $(DBDMYSQL) $(DESTDIR)$(LUA_CDIR)/$(DBDMYSQL)

install_psql: psql install_lua
	$(INSTALL_PROGRAM) -D $(DBDPSQL) $(DESTDIR)$(LUA_CDIR)/$(DBDPSQL)

install_sqlite3: sqlite3 install_lua
	$(INSTALL_PROGRAM) -D $(DBDSQLITE3) $(DESTDIR)$(LUA_CDIR)/$(DBDSQLITE3)

install_db2: db2 install_lua
	$(INSTALL_PROGRAM) -D $(DBDDB2) $(DESTDIR)$(LUA_CDIR)/$(DBDDB2)

install_oracle: oracle install_lua
	$(INSTALL_PROGRAM) -D $(DBDORACLE) $(DESTDIR)$(LUA_CDIR)/$(DBDORACLE)

install_free: install_lua install_mysql install_psql install_sqlite3

install_all: install_lua install_mysql install_psql install_sqlite3 install_db2 install_oracle

=== debian/changelog ===
lua-dbi (0.7.1-2) unstable; urgency=medium

  * add upstream patches for fix postgresql issues

 -- Victor Seva <vseva@debian.org>  Wed, 09 Jan 2019 16:29:47 +0100

lua-dbi (0.7.1-1) unstable; urgency=medium

  * remove already applied patches from upstream
  * New upstream version 0.7.1

 -- Victor Seva <vseva@debian.org>  Fri, 19 Oct 2018 16:16:44 +0200

=== debian/control ===
Source: lua-dbi
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Uploaders:
 Victor Seva <vseva@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 default-libmysqlclient-dev,
 dh-lua,
 libsqlite3-dev,
 postgresql-server-dev-all,
Standards-Version: 4.1.3
Homepage: https://github.com/mwild1/luadbi
Vcs-Git: https://salsa.debian.org/lua-team/lua-dbi.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-dbi

Package: lua-dbi-common
Architecture: all
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, common files
 Lua DBI is a database interface library for Lua. It is designed to provide a
 RDBMS agnostic API for handling database operations. LuaDBI also provides
 support for prepared statement handles, placeholders and bind parameters for
 all database operations.
 .
 This package contains the files common to all backends.
 .
 Lua DBI is a better alternative to lua-sql since it supports prepared
 statements.

Package: lua-dbi-sqlite3
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lua-dbi-common,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, sqlite3 backend
 Lua DBI is a database interface library for Lua. It is designed to provide a
 RDBMS agnostic API for handling database operations. LuaDBI also provides
 support for prepared statement handles, placeholders and bind parameters for
 all database operations.
 .
 This package contains the sqlite3 backend.
 .
 Lua DBI is a better alternative to lua-sql since it supports prepared
 statements.

Package: lua-dbi-sqlite3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lua-dbi-sqlite3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, sqlite3 development files
 This package contains the development files of the Lua DBI library
 (Sqlite3 backend), useful to create a statically linked binary
 (like a C application or a standalone Lua interpreter).

Package: lua-dbi-mysql
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lua-dbi-common,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, MySQL backend
 Lua DBI is a database interface library for Lua. It is designed to provide a
 RDBMS agnostic API for handling database operations. LuaDBI also provides
 support for prepared statement handles, placeholders and bind parameters for
 all database operations.
 .
 This package contains the MySQL backend.
 .
 Lua DBI is a better alternative to lua-sql since it supports prepared
 statements.

Package: lua-dbi-mysql-dev
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Section: libdevel
Depends:
 lua-dbi-mysql (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, MySQL development files
 This package contains the development files of the Lua DBI library
 (MySQL backend), useful to create a statically linked binary
 (like a C application or a standalone Lua interpreter).

Package: lua-dbi-postgresql
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lua-dbi-common,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, PostgreSQL backend
 Lua DBI is a database interface library for Lua. It is designed to provide a
 RDBMS agnostic API for handling database operations. LuaDBI also provides
 support for prepared statement handles, placeholders and bind parameters for
 all database operations.
 .
 This package contains the PostgreSQL backend.
 .
 Lua DBI is a better alternative to lua-sql since it supports prepared
 statements.

Package: lua-dbi-postgresql-dev
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Section: libdevel
Depends:
 lua-dbi-postgresql (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: DBI library for the Lua language, PostgreSQL development files
 This package contains the development files of the Lua DBI library
 (PostgreSQL backend), useful to create a statically linked binary
 (like a C application or a standalone Lua interpreter).

## lua-dbi 0.7.2

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 PSQL_FLAGS	 = $(CF) $(LF) $(PSQL_INC) $(PSQL_LDFLAGS)
 SQLITE3_FLAGS	 = $(CF) $(LF) $(SQLITE3_INC) $(SQLITE3_LDFLAGS)
 DB2_FLAGS	 = $(CF) $(LF) $(DB2_INC) $(DB2_LDFLAGS)
-ORACLE_FLAGS	 = $(CF) $(LF) $(ORACLE_INC) $(ORACLE_LDFLAGS)
+ORACLE_FLAGS	 = $(CF) $(LF) $(ORACLE_INC) $(ORACLE_LDFLAGS) -DORA_ENABLE_PING -DORA_ENABLE_TAF
 
 
 BUILDDIR	 = build

=== debian/changelog ===
lua-dbi (0.7.2-1ubuntu1) eoan; urgency=medium

  * Adjustments to allow build against MySQL 8.0 to fix FTBFS.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 16 Jul 2019 10:19:30 +0000

lua-dbi (0.7.2-1) unstable; urgency=medium

  * New upstream version 0.7.2
  * remove already applied patches

 -- Victor Seva <vseva@debian.org>  Tue, 21 May 2019 12:35:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lua-dbi
 Section: interpreters
 Priority: optional
-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Uploaders:
  Victor Seva <vseva@debian.org>,
 Build-Depends:

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-dbi
#
version=3
opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/luadbi_$1\.tar\.gz/" \
  https://github.com/mwild1/luadbi/tags .*/v?(\d\S*)\.tar\.gz

## lua-dbi 0.7.3

=== debian/changelog ===
lua-dbi (0.7.3-1) unstable; urgency=medium

  * New upstream version 0.7.3
  * update Standards-Version, no changes needed

 -- Victor Seva <vseva@debian.org>  Mon, 20 May 2024 09:53:04 +0200

lua-dbi (0.7.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Drop transition for old debug package migration.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 10 Dec 2022 12:03:37 +0000

lua-dbi (0.7.2-3) unstable; urgency=medium

  * Lua team as maintainer, me as uploader (Closes: #995542)
  * watch to version 4
  * add Lua5.4 support

 -- Victor Seva <vseva@debian.org>  Mon, 27 Dec 2021 12:48:58 +0100

lua-dbi (0.7.2-2) unstable; urgency=medium

  * update standards-version to 4.4.1, no changes needed

 -- Victor Seva <vseva@debian.org>  Tue, 19 Nov 2019 09:24:45 +0100

## lua-dbi 0.7.4

=== debian/changelog ===
lua-dbi (0.7.4-1) unstable; urgency=medium

  * New upstream version 0.7.4
  * fix builds on 32bit systems

 -- Victor Seva <vseva@debian.org>  Tue, 08 Oct 2024 08:38:29 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_install:
	dh_auto_install
	find debian/tmp -name \*.lua -exec chmod -x {} \;

override_dh_strip:
	dh_strip -Xdbi-sqlite3 -Xdbi-postgresql
	dh_strip -Xdbi-sqlite3
	dh_strip

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-dbi
#
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/luadbi-$1\.tar\.gz/ \
  https://github.com/mwild1/luadbi/tags .*/v?(\d\S+)\.tar\.gz

## lua-dbi 0.7.5

=== Makefile ===
--- 
+++ 
@@ -6,15 +6,16 @@
 INSTALL		?= install
 INSTALL_PROGRAM	?= $(INSTALL)
 INSTALL_DATA	?= $(INSTALL) -m 644
-LUA_V		?= 5.1
+LUA_V		?= 5.4
 LUA_LDIR	?= /usr/share/lua/$(LUA_V)
 LUA_CDIR	?= /usr/lib/lua/$(LUA_V)
 
-COMMON_CFLAGS	 ?= -g -pedantic -Wall -O2 -shared -fPIC -DPIC -std=c99
+COMMON_CFLAGS	?= -g -pedantic -Wall -O2 -shared -fPIC -DPIC -std=c99
 LUA_INC		?= -I/usr/include/lua$(LUA_V)
 MYSQL_INC	?= -I/usr/include/mysql
 PSQL_INC	?= -I/usr/include/postgresql
 SQLITE3_INC	?= -I/usr/include
+DUCKDB_INC	?= -I/usr/include
 DB2_INC		?= -I/opt/ibm/db2exc/V9.5/include
 ORACLE_INC	?= -I/usr/lib/oracle/xe/app/oracle/product/10.2.0/client/rdbms/public
 CF		 = $(LUA_INC) $(COMMON_CFLAGS) $(CFLAGS) -I.
@@ -23,6 +24,7 @@
 MYSQL_LDFLAGS	?= -lmysqlclient
 PSQL_LDFLAGS	?= -lpq
 SQLITE3_LDFLAGS	?= -lsqlite3
+DUCKDB_LDFLAGS	?= -lduckdb
 DB2_LDFLAGS	?= -L/opt/ibm/db2exc/V9.5/lib64 -L/opt/ibm/db2exc/V9.5/lib32 -ldb2
 ORACLE_LDFLAGS	?= -L/usr/lib/oracle/xe/app/oracle/product/10.2.0/client/lib/ -locixe
 LF		 = $(COMMON_LDFLAGS) $(LDFLAGS)
@@ -30,6 +32,7 @@
 MYSQL_FLAGS	 = $(CF) $(LF) $(MYSQL_INC) $(MYSQL_LDFLAGS)
 PSQL_FLAGS	 = $(CF) $(LF) $(PSQL_INC) $(PSQL_LDFLAGS)
 SQLITE3_FLAGS	 = $(CF) $(LF) $(SQLITE3_INC) $(SQLITE3_LDFLAGS)
+DUCKDB_FLAGS	= $(CF) $(LF) $(DUCKDB_INC) $(DUCKDB_LDFLAGS)
 DB2_FLAGS	 = $(CF) $(LF) $(DB2_INC) $(DB2_LDFLAGS)
 ORACLE_FLAGS	 = $(CF) $(LF) $(ORACLE_INC) $(ORACLE_LDFLAGS) -DORA_ENABLE_PING -DORA_ENABLE_TAF
 
@@ -39,6 +42,7 @@
 DBDMYSQL	 = dbd/mysql.so
 DBDPSQL		 = dbd/postgresql.so
 DBDSQLITE3	 = dbd/sqlite3.so
+DBDDUCKDB	 = dbd/duckdb.so
 DBDDB2		 = dbd/db2.so
 DBDORACLE	 = dbd/oracle.so
 
@@ -46,12 +50,13 @@
 MYSQL_OBJS	 = $(OBJS) build/dbd_mysql_main.o build/dbd_mysql_connection.o build/dbd_mysql_statement.o
 PSQL_OBJS	 = $(OBJS) build/dbd_postgresql_main.o build/dbd_postgresql_connection.o build/dbd_postgresql_statement.o
 SQLITE3_OBJS	 = $(OBJS) build/dbd_sqlite3_main.o build/dbd_sqlite3_connection.o build/dbd_sqlite3_statement.o
+DUCKDB_OBJS	 = $(OBJS) build/dbd_duckdb_main.o build/dbd_duckdb_connection.o build/dbd_duckdb_statement.o
 DB2_OBJS	 = $(OBJS) build/dbd_db2_main.o build/dbd_db2_connection.o build/dbd_db2_statement.o
 ORACLE_OBJS	 = $(OBJS) build/dbd_oracle_main.o build/dbd_oracle_connection.o build/dbd_oracle_statement.o
  
-free: mysql psql sqlite3
+free: mysql psql sqlite3 duckdb
 
-all:  mysql psql sqlite3 db2 oracle
+all:  mysql psql sqlite3 duckdb db2 oracle
 
 mysql: $(BUILDDIR) $(MYSQL_OBJS)
 	$(CC) $(MYSQL_OBJS) -o $(DBDMYSQL) $(MYSQL_FLAGS)
@@ -62,6 +67,9 @@
 sqlite3: $(BUILDDIR) $(SQLITE3_OBJS)
 	$(CC) $(SQLITE3_OBJS) -o $(DBDSQLITE3) $(SQLITE3_FLAGS)
 
+duckdb: $(BUILDDIR) $(DUCKDB_OBJS)
+	$(CC) $(DUCKDB_OBJS) -o $(DBDDUCKDB) $(DUCKDB_FLAGS)
+
 db2: $(BUILDDIR) $(DB2_OBJS)
 	$(CC) $(DB2_OBJS) -o $(DBDDB2) $(DB2_FLAGS)
 
@@ -69,7 +77,7 @@
 	$(CC) $(ORACLE_OBJS) -o $(DBDORACLE) $(ORACLE_FLAGS)
 
 clean:
-	$(RM) $(MYSQL_OBJS) $(PSQL_OBJS) $(SQLITE3_OBJS) $(DB2_OBJS) $(ORACLE_OBJS) $(DBDMYSQL) $(DBDPSQL) $(DBDSQLITE3) $(DBDDB2) $(DBDORACLE)
+	$(RM) $(MYSQL_OBJS) $(PSQL_OBJS) $(SQLITE3_OBJS) $(DB2_OBJS) $(ORACLE_OBJS) $(DBDMYSQL) $(DBDPSQL) $(DBDSQLITE3) $(DBDDB2) $(DBDORACLE) $(DUCKDB_OBJS)
 
 build/dbd_common.o: dbd/common.c dbd/common.h
 	$(CC) -c -o $@ $< $(CF)
@@ -95,6 +103,13 @@
 build/dbd_sqlite3_statement.o: dbd/sqlite3/statement.c dbd/sqlite3/dbd_sqlite3.h dbd/common.h
 	$(CC) -c -o $@ $< $(SQLITE3_FLAGS)
 
+build/dbd_duckdb_connection.o: dbd/duckdb/connection.c dbd/duckdb/dbd_duckdb.h dbd/common.h 
+	$(CC) -c -o $@ $< $(DUCKDB_FLAGS)
+build/dbd_duckdb_main.o: dbd/duckdb/main.c dbd/duckdb/dbd_duckdb.h dbd/common.h
+	$(CC) -c -o $@ $< $(DUCKDB_FLAGS)
+build/dbd_duckdb_statement.o: dbd/duckdb/statement.c dbd/duckdb/dbd_duckdb.h dbd/common.h
+	$(CC) -c -o $@ $< $(DUCKDB_FLAGS)
+	
 build/dbd_db2_connection.o: dbd/db2/connection.c dbd/db2/dbd_db2.h dbd/common.h 
 	$(CC) -c -o $@ $< $(DB2_FLAGS)
 build/dbd_db2_main.o: dbd/db2/main.c dbd/db2/dbd_db2.h dbd/common.h
@@ -124,12 +139,15 @@
 install_sqlite3: sqlite3 install_lua
 	$(INSTALL_PROGRAM) -D $(DBDSQLITE3) $(DESTDIR)$(LUA_CDIR)/$(DBDSQLITE3)
 
+install_duckdb: duckdb install_lua
+	$(INSTALL_PROGRAM) -D $(DBDDUCKDB) $(DESTDIR)$(LUA_CDIR)/$DBDDUCKDB)
+
 install_db2: db2 install_lua
 	$(INSTALL_PROGRAM) -D $(DBDDB2) $(DESTDIR)$(LUA_CDIR)/$(DBDDB2)
 
 install_oracle: oracle install_lua
 	$(INSTALL_PROGRAM) -D $(DBDORACLE) $(DESTDIR)$(LUA_CDIR)/$(DBDORACLE)
 
-install_free: install_lua install_mysql install_psql install_sqlite3
+install_free: install_lua install_mysql install_psql install_sqlite3 install_duckdb
 
-install_all: install_lua install_mysql install_psql install_sqlite3 install_db2 install_oracle
+install_all: install_lua install_mysql install_psql install_sqlite3 install_duckdb install_db2 install_oracle

=== debian/changelog ===
lua-dbi (0.7.5-2) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support

 -- Bastian Germann <bage@debian.org>  Thu, 09 Oct 2025 13:19:54 +0200

lua-dbi (0.7.5-1) unstable; urgency=medium

  * New upstream version 0.7.5

 -- Victor Seva <vseva@debian.org>  Fri, 19 Sep 2025 09:21:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: lua-dbi
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
+Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
 Uploaders:
  Victor Seva <vseva@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 13),
  default-libmysqlclient-dev,
  dh-lua,
  libsqlite3-dev,
  postgresql-server-dev-all,
-Standards-Version: 4.1.3
+Standards-Version: 4.7.0.0
 Homepage: https://github.com/mwild1/luadbi
 Vcs-Git: https://salsa.debian.org/lua-team/lua-dbi.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-dbi
